#!/bin/bash

set -e
set -u

TAG=$(date "+%Y%m%d%H%M%S")

docker pull jenkins/jenkins:lts
docker build -t custom_jenkins:$TAG ~/workspace/jenkins_docker
docker stop jenkins || echo "No container to stop"
docker rm jenkins || echo "No container to remove"
docker run -d --restart=always -p 8080:8080 -v jenkins_home:/var/jenkins_home --name jenkins custom_jenkins:$TAG
